import greenfoot.Actor;
import greenfoot.GreenfootImage;

import java.awt.Color;
import java.awt.Font;

/**
 * representation of the end object
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public abstract class End extends Actor {
	public End(int points) {
		this.setImage("end.png");
		GreenfootImage image = this.getImage();
		image.setFont(new Font("Monospaced", Font.BOLD, 24));
		image.setColor(new Color(223, 244, 12));
		String p = "" + points;
		int len = Metrics.stringWidth(p, image.getFont());
		image.drawString("points", image.getWidth() / 2 - 55, 330);
		image.drawString(p, image.getWidth() / 2 - len / 2 - 10, 370);
	}
}
