import java.awt.Color;

/**
 * representation of a smog (gray) filter
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class SmogFilter extends Filter {

	final static int START_TRANSPARENCY = 220;

	public SmogFilter(int cars) {
		super(cars, SmogFilter.START_TRANSPARENCY, new Color(200, 200, 200),
				WasteWorld.WIDTH, WasteWorld.HEIGHT);
	}

}
