import greenfoot.GreenfootImage;

import java.awt.Color;
import java.awt.Font;

/**
 * representation of a time bonus object
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class TimeBonus extends Bonus {
	public TimeBonus(int bonus) {
		super(bonus);
		this.setImage("bonus.png");
		GreenfootImage image = this.getImage();
		image.setFont(new Font("Monospaced", Font.BOLD, 18));
		image.setColor(new Color(223, 244, 12));
		image.drawString("" + bonus, 158, 95);
		image.drawString("Time Bonus", 20, 113);
	}
}
