import java.awt.Color;

/**
 * representation of a water (blue) filter
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class WaterFilter extends Filter {
	final static int START_TRANSPARENCY = 200;

	public WaterFilter(int tabs) {
		super(tabs, WaterFilter.START_TRANSPARENCY, new Color(0, 147, 221),
				WasteWorld.CELLSIZE, WasteWorld.CELLSIZE);
	}
}
