import greenfoot.Actor;
import greenfoot.GreenfootImage;

/**
 * representation of a cell of the waste world
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class Cell extends Actor {
	// shared by all cells
	private static GreenfootImage img = new GreenfootImage("cell.png");

	public Cell() {
		this.setImage(Cell.img);
	}

	public static GreenfootImage getCellImage() {
		return Cell.img;
	}

}
