import java.awt.Color;

/**
 * representation of a darkness (black) filter
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class DarknessFilter extends Filter {

	final static int TRANSPARENCY = 255;

	public DarknessFilter() {
		super(DarknessFilter.TRANSPARENCY, Color.BLACK, WasteWorld.WIDTH, WasteWorld.HEIGHT);
	}

}
