import greenfoot.GreenfootImage;

/**
 * representation of a dustbin for glass
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class DustbinGlass extends Dustbin {

	// shared by all glass dustbins
	private static GreenfootImage img = new GreenfootImage("dustbin-glass.png");

	public DustbinGlass() {
		super(Item.GLASS);
		this.setImage(DustbinGlass.img);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see Dustbin#throwIntoSound()
	 */
	@Override
	public void throwIntoSound() {
		Sounds.throwIntoGlass();
	}

}
