import greenfoot.GreenfootImage;

/**
 * representation of a dustbin for metal
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class DustbinMetal extends Dustbin {

	// shared by all metal dustbins
	private static GreenfootImage img = new GreenfootImage("dustbin-metal.png");

	public DustbinMetal() {
		super(Item.METAL);
		this.setImage(DustbinMetal.img);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see Dustbin#throwIntoSound()
	 */
	@Override
	public void throwIntoSound() {
		Sounds.throwIntoMetal();
	}

}
