import greenfoot.GreenfootImage;

/**
 * representation of a dustbin for paper
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class DustbinPaper extends Dustbin {

	// shared by all paper dustbins
	private static GreenfootImage img = new GreenfootImage("dustbin-paper.png");

	public DustbinPaper() {
		super(Item.PAPER);
		this.setImage(DustbinPaper.img);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see Dustbin#throwIntoSound()
	 */
	@Override
	public void throwIntoSound() {
		Sounds.throwIntoPaper();
	}
}
