import greenfoot.Actor;
import greenfoot.GreenfootImage;

import java.awt.Color;
import java.awt.Font;

/**
 * representation of instructions / help
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class Help extends Actor {

	private GreenfootImage image;
	private Level level;

	public Help(Level l) {
		this.level = l;
		this.image = new GreenfootImage(WasteWorld.WIDTH - 20,
				WasteWorld.HEIGHT - 20);

		this.image.setTransparency(100);
		this.image.setColor(Color.BLACK);
		this.image
				.fillRect(0, 0, this.image.getWidth(), this.image.getHeight());
		this.image.setColor(Color.WHITE);
		this.image.fillRect(5, 5, this.image.getWidth() - 10, this.image
				.getHeight() - 10);

		this.image.setColor(Color.black);
		this.image.setFont(new Font("Monospaced", Font.BOLD, 14));
		this.level.drawHelp(this.image);
		this.setImage(this.image);

		this.setImage(this.image);
	}
}
