import java.awt.Color;

/**
 * representation of a light (yellow) filter
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class LightFilter extends Filter {

	final static int START_TRANSPARENCY = 200;

	public LightFilter(int lamps) {
		super(lamps, LightFilter.START_TRANSPARENCY, Color.YELLOW,
				WasteWorld.WIDTH, WasteWorld.HEIGHT);
	}

}
