/**
 * Representation of two items (pitfall and ladder) on the same cell. The boy
 * can pass a cell with a pitfall and a ladder.
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class PitfallLadder extends DoubleItem {

	public PitfallLadder(Pitfall bottom, Ladder top) {
		super(bottom, top);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see Item#isAccessible(WasteWorld, int, int)
	 */
	@Override
	public boolean isAccessible(WasteWorld world, int col, int row) {
		return true;
	}

}
